diff -rubB old/vdr-1.1.29/config.c vdr-1.1.29/config.c
--- old/vdr-1.1.29/config.c	Sat Apr 12 12:37:48 2003
+++ vdr-1.1.29/config.c	Mon Apr 28 10:34:29 2003
@@ -261,6 +261,7 @@
   MarginStop = 10;
   EPGScanTimeout = 5;
   EPGBugfixLevel = 2;
+  EPGLinger = 0;
   SVDRPTimeout = 300;
   SortTimers = 1;
   PrimaryLimit = 0;
@@ -410,6 +411,7 @@
   else if (!strcasecmp(Name, "MarginStop"))          MarginStop         = atoi(Value);
   else if (!strcasecmp(Name, "EPGScanTimeout"))      EPGScanTimeout     = atoi(Value);
   else if (!strcasecmp(Name, "EPGBugfixLevel"))      EPGBugfixLevel     = atoi(Value);
+  else if (!strcasecmp(Name, "EPGLinger"))           EPGLinger          = atoi(Value);
   else if (!strcasecmp(Name, "SVDRPTimeout"))        SVDRPTimeout       = atoi(Value);
   else if (!strcasecmp(Name, "SortTimers"))          SortTimers         = atoi(Value);
   else if (!strcasecmp(Name, "PrimaryLimit"))        PrimaryLimit       = atoi(Value);
@@ -457,6 +459,7 @@
   Store("MarginStop",         MarginStop);
   Store("EPGScanTimeout",     EPGScanTimeout);
   Store("EPGBugfixLevel",     EPGBugfixLevel);
+  Store("EPGLinger",          EPGLinger);
   Store("SVDRPTimeout",       SVDRPTimeout);
   Store("SortTimers",         SortTimers);
   Store("PrimaryLimit",       PrimaryLimit);
diff -rubB old/vdr-1.1.29/config.h vdr-1.1.29/config.h
--- old/vdr-1.1.29/config.h	Mon Apr 21 19:23:15 2003
+++ vdr-1.1.29/config.h	Mon Apr 28 10:34:29 2003
@@ -213,6 +213,7 @@
   int MarginStart, MarginStop;
   int EPGScanTimeout;
   int EPGBugfixLevel;
+  int EPGLinger;
   int SVDRPTimeout;
   int SortTimers;
   int PrimaryLimit;
diff -rubB old/vdr-1.1.29/eit.c vdr-1.1.29/eit.c
--- old/vdr-1.1.29/eit.c	Sun Apr 27 17:41:36 2003
+++ vdr-1.1.29/eit.c	Mon Apr 28 10:34:29 2003
@@ -738,7 +738,7 @@
       pEvent = Events.Get(a);
       if (pEvent == NULL)
          break;
-      if (pEvent->GetTime() + pEvent->GetDuration() + 3600 < tTime) // adding one hour for safety
+      if (pEvent->GetTime() + pEvent->GetDuration() + Setup.EPGLinger * 60 + 3600 < tTime) // adding one hour for safety
       {
          Events.Del(pEvent);
          a--;
diff -rubB old/vdr-1.1.29/i18n.c vdr-1.1.29/i18n.c
--- old/vdr-1.1.29/i18n.c	Mon Apr 21 17:05:17 2003
+++ vdr-1.1.29/i18n.c	Mon Apr 28 10:34:29 2003
@@ -682,13 +682,13 @@
   },
   { "Reset",
     "Reset",
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    "",//TODO Slovenski
+    "",//TODO Italiano
+    "",//TODO Nederlands
+    "",//TODO Português
+    "",//TODO Français
+    "",//TODO Norsk
+    "Alusta",
     "",//TODO
     "",//TODO
     "Epanafora",
@@ -962,7 +962,7 @@
     "Srate",
     "Fréq. Symbole",
     "Srate",
-    "Srate",
+    "Symbolinopeus",
     "Srate",
     "Srate",
     "Srate",
@@ -1502,13 +1502,13 @@
   },
   { "Channel settings are not unique!",
     "Kanaleinstellungen sind nicht eindeutig!",
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    "",//TODO Slovenski
+    "",//TODO Italiano
+    "",//TODO Nederlands
+    "",//TODO Português
+    "",//TODO Français
+    "",//TODO Norsk
+    "Näillä asetuksilla on jo kanava!",
     "",//TODO
     "",//TODO
     "Ta kanalia stin lista den ine monadika!",
@@ -1614,13 +1614,13 @@
   },
   { "Can't open CAM menu!",
     "CAM-Menü kann nicht geöffnet werden!",
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    "",//TODO Slovenski
+    "",//TODO Italiano
+    "",//TODO Nederlands
+    "",//TODO Português
+    "",//TODO Français
+    "",//TODO Norsk
+    "CAM-valikkoon ei pääse!",
     "",//TODO
     "",//TODO
     "Den mpori na aniksi to CAM menou!",
@@ -1630,13 +1630,13 @@
   },
   { "Can't reset CAM!",
     "CAM-Reset fehlgeschlagen!",
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    "",//TODO Slovenski
+    "",//TODO Italiano
+    "",//TODO Nederlands
+    "",//TODO Português
+    "",//TODO Français
+    "",//TODO Norsk
+    "CAM ei alustettavissa",
     "",//TODO
     "",//TODO
     "Adinato na gini epanafora sto CAM",
@@ -1646,13 +1646,13 @@
   },
   { "CAM has been reset",
     "CAM wurde zurückgesetzt!",
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    "",//TODO Slovenski
+    "",//TODO Italiano
+    "",//TODO Nederlands
+    "",//TODO Português
+    "",//TODO Français
+    "",//TODO Norsk
+    "CAM alustettu",
     "",//TODO
     "",//TODO
     "Sto CAM egine apanafora",
@@ -2014,6 +2014,22 @@
     "Nivel corectie EPG",
     "EPG hibaelhárítás",
   },
+  { "Setup.EPG$Event linger time (min)",
+    "Alten Info anzeigen (min)",// TODO Deutsch
+    "",// TODO Slovenski
+    "",// TODO Italiano
+    "",// TODO Nederlands
+    "",// TODO Português
+    "",// TODO Français
+    "",// TODO Norsk
+    "Vanha tieto näkyy (min)",
+    "",// TODO Polski
+    "",// TODO Español
+    "",// TODO Ellinika
+    "Visa gammal info (min)",// TODO Svenska
+    "",// TODO Romaneste
+    "",// TODO Magyar
+  },
   { "Setup.EPG$Set system time",
     "Systemzeit stellen",
     "Nastavi sistemski cas",
diff -rubB old/vdr-1.1.29/menu.c vdr-1.1.29/menu.c
--- old/vdr-1.1.29/menu.c	Sun Apr 27 15:50:31 2003
+++ vdr-1.1.29/menu.c	Mon Apr 28 10:34:29 2003
@@ -1369,7 +1369,7 @@
         int numreal = 0;
         for (int a = 0; a < num; a++) {
             const cEventInfo *EventInfo = Schedule->GetEventNumber(a);
-            if (EventInfo->GetTime() + EventInfo->GetDuration() > now)
+            if (EventInfo->GetTime() + EventInfo->GetDuration() + Setup.EPGLinger * 60 > now)
                pArray[numreal++] = EventInfo;
             }
 
@@ -2003,6 +2003,7 @@
   Add(new cMenuEditIntItem( tr("Setup.EPG$EPG bugfix level"),          &data.EPGBugfixLevel, 0, MAXEPGBUGFIXLEVEL));
   Add(new cMenuEditBoolItem(tr("Setup.EPG$Set system time"),           &data.SetSystemTime));
   Add(new cMenuEditTranItem(tr("Setup.EPG$Use time from transponder"), &data.TimeTransponder));
+  Add(new cMenuEditIntItem( tr("Setup.EPG$Event linger time (min)"),   &data.EPGLinger));
 }
 
 // --- cMenuSetupDVB ---------------------------------------------------------
